echo off
CALL MAKEDIR.BAT %2
copy %1\tg2d.arc %2\tgcad\tg2d
copy %1\tg2dbc.arc %2\tgcad\tg2d\bc
copy %1\tg2dmsc.arc %2\tgcad\tg2d\msc
copy %1\tg2dexam.arc %2\tgcad\tg2d\example
copy %1\tg3d.arc %2\tgcad\tg3d
copy %1\tg3dbc.arc %2\tgcad\tg3d\bc
copy %1\tg3dmsc.arc %2\tgcad\tg3d\msc
copy %1\tg3dexam.arc %2\tgcad\tg3d\example
copy %1\tgdxfbc.arc %2\tgcad\tgdxf\bc
copy %1\tgdxfmsc.arc %2\tgcad\tgdxf\msc
copy %1\tgdraw.arc %2\tgcad\tgdraw
echo Insert Disk #2
pause Insert Disk #2
copy %1\tgdxexam.arc %2\tgcad\tgdxf\example
copy %1\tgdrawbc.arc %2\tgcad\tgdraw\bc
copy %1\tgdrawms.arc %2\tgcad\tgdraw\msc
copy %1\tgdrwexm.arc %2\tgcad\tgdraw\example
copy %1\tgcaddll.arc %2\tgcad\tgdll
copy %1\tgcadimp.arc %2\tgcad\tgdll
copy %1\dlldef.arc   %2\tgcad\tgdll\def
echo Insert Disk #3
pause Insert Disk #3
copy %1\tgincl.arc %2\tgcad\tgincl
copy %1\wolibbc.arc %2\tgcad\tglibwin\bc
echo Insert Disk #4
pause Insert Disk #4
copy %1\wolibmsc.arc %2\tgcad\tglibwin\msc
echo Insert Disk #5
pause Insert Disk #5
copy %1\dolibbc.arc %2\tgcad\tglibdos\bc
echo Insert Disk #6
pause Insert Disk #6
copy %1\dolibmsc.arc %2\tgcad\tglibdos\msc
copy %1\tgexam.arc %2\tgcad\tgexam
echo Insert Disk #7
pause Insert Disk #7
copy %1\dolibwc.arc %2\tgcad\tglibdos\wc
echo Insert Disk #8
pause Insert Disk #8
copy %1\wolibwc.arc %2\tgcad\tglibwin\wc
echo Unpacking Files
copy %1\arce.com %2\tgcad
%2
cd\tgcad
arce *.arc
echo Unpacking TG-CAD 2D
cd\tgcad\tg2d
\tgcad\arce *.arc
cd\tgcad\tg2d\bc
\tgcad\arce *.arc
cd\tgcad\tg2d\msc
\tgcad\arce *.arc
cd\tgcad\tg2d\example
\tgcad\arce *.arc
echo Unpacking TG-CAD 3D
cd\tgcad\tg3d
\tgcad\arce *.arc
cd\tgcad\tg3d\bc
\tgcad\arce *.arc
cd\tgcad\tg3d\msc
\tgcad\arce *.arc
cd\tgcad\tg3d\example
\tgcad\arce *.arc
echo Unpacking TG-CAD DXF
cd\tgcad\tgdxf\bc
\tgcad\arce *.arc
cd\tgcad\tgdxf\msc
\tgcad\arce *.arc
cd\tgcad\tgdxf\example
\tgcad\arce *.arc
echo Unpacking TG-CAD DRAW
cd\tgcad\tgdraw
\tgcad\arce *.arc
cd\tgcad\tgdraw\bc
\tgcad\arce *.arc
cd\tgcad\tgdraw\msc
\tgcad\arce *.arc
cd\tgcad\tgdraw\example
\tgcad\arce *.arc
echo Unpacking DOS Libraries
cd\tgcad\tglibdos\bc
\tgcad\arce *.arc
cd\tgcad\tglibdos\msc
\tgcad\arce *.arc
cd\tgcad\tglibdos\wc
\tgcad\arce *.arc
echo Unpacking Windows Libraries 
cd\tgcad\tglibwin\bc
\tgcad\arce *.arc
cd\tgcad\tglibwin\msc
\tgcad\arce *.arc
cd\tgcad\tglibwin\wc
\tgcad\arce *.arc
echo Unpacking Windows DLL's 
cd\tgcad\tgdll
\tgcad\arce *.arc
echo Unpacking Include Files
cd\tgcad\tgincl
\tgcad\arce *.arc
echo Unpacking TG-CAD EXAMPLE Source Files
cd\tgcad\tgexam
\tgcad\arce *.arc
cd\tgcad
echo TG-CAD is Installed....
echo Please read the readme file in directory TGCAD
echo for compile instructions.
echo on
